Bug 741328 - The acroread plugin is denied access to a curl-ca-bundle.crt link over NFS
Summary: The acroread plugin is denied access to a curl-ca-bundle.crt link over NFS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 15:24 UTC by Göran Uddeborg
Modified: 2011-10-09 19:35 UTC (History)
1 user (show)

Fixed In Version: selinux-policy-3.10.0-38.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-09 19:35:33 UTC


Attachments (Terms of Use)

Description Göran Uddeborg 2011-09-26 15:24:31 UTC
Description of problem:
The acroread plugin to web browsers tries to access a soft link named "curl-ca-bundle.crt" in the user's home directory.  If this is an NFS directory, that access is denied, even if use_nfs_home_dirs is enabled.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.10.0-28.fc16.noarch
AdobeReader_enu-9.4.1-1.i486

How reproducible:
Every time

Steps to Reproduce:
1. Click on a PDF link in the browser.
  
Actual results:
An AVC denial shows up, either to "create" the link if it isn't already there, or to "unlink" it if a previous version exists.  I removed my ~/.adobe directory tree between the two AVC messages below.

time->Sun Sep 25 22:49:12 2011
type=SYSCALL msg=audit(1316983752.527:2641): arch=40000003 syscall=10 success=no exit=4294967283 a0=9c1e5a0 a1=8a4257e a2=9ae31b0 a3=32 items=0 ppid=21667 pid=21668 auid=503 uid=503 gid=503 euid=503 suid=503 fsuid=503 egid=503 sgid=503 fsgid=503 tty=(none) ses=296 comm="acroread" exe="/opt/Adobe/Reader9/Reader/intellinux/bin/acroread" subj=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1316983752.527:2641): avc:  denied  { unlink } for  pid=21668 comm="acroread" name="curl-ca-bundle.crt" dev=0:28 ino=4113240 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:nfs_t:s0 tclass=lnk_file
----
time->Mon Sep 26 17:01:44 2011
type=SYSCALL msg=audit(1317049304.337:3518): arch=40000003 syscall=83 success=no exit=4294967283 a0=a5f3898 a1=a724e10 a2=a724e10 a3=32 items=0 ppid=30900 pid=30901 auid=503 uid=503 gid=503 euid=503 suid=503 fsuid=503 egid=503 sgid=503 fsgid=503 tty=(none) ses=462 comm="acroread" exe="/opt/Adobe/Reader9/Reader/intellinux/bin/acroread" subj=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1317049304.337:3518): avc:  denied  { create } for  pid=30901 comm="acroread" name="curl-ca-bundle.crt" scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:nfs_t:s0 tclass=lnk_file


Expected results:
No AVC denials signaled.

Additional info:
The PDF document still shows up.  At least most of the time.  It is somewhat erratic, but I believe that is some other problem.  I haven't figured it out yet.

Comment 1 Daniel Walsh 2011-09-26 18:09:07 UTC
Fixed in selinux-policy-3.10.0-35.fc16

Comment 2 Fedora Update System 2011-10-04 11:16:25 UTC
selinux-policy-3.10.0-36.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-36.fc16

Comment 3 Fedora Update System 2011-10-04 20:49:04 UTC
Package selinux-policy-3.10.0-36.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-36.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-36.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-10-09 19:35:33 UTC
selinux-policy-3.10.0-38.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.